source: qesdi/graphplotter/trunk/setup.py @ 6525

Subversion URL: http://proj.badc.rl.ac.uk/svn/ndg/qesdi/graphplotter/trunk/setup.py@8179
Revision 6525, 1.0 KB checked in by pnorton, 10 years ago (diff)

Increased the revision number in the trunk

Line 
1try:
2    from setuptools import setup, find_packages
3except ImportError:
4    from ez_setup import use_setuptools
5    use_setuptools()
6    from setuptools import setup, find_packages
7
8setup(
9    name='graphplotter',
10    version='0.1.2',
11    description='',
12    author='',
13    author_email='',
14    url='',
15    install_requires=[
16        "Pylons>=0.9.7",
17        "Genshi>=0.4",
18        "Numpy==1.3.0",
19        "linplot",
20        "cdat_lite",
21    ],
22    setup_requires=["PasteScript>=1.6.3"],
23    test_requires=["nose", "mock"],
24    packages=find_packages(exclude=['ez_setup']),
25    include_package_data=True,
26    test_suite='nose.collector',
27    package_data={'graphplotter': ['i18n/*/LC_MESSAGES/*.mo']},
28    #message_extractors={'graphplotter': [
29    #        ('**.py', 'python', None),
30    #        ('public/**', 'ignore', None)]},
31    zip_safe=False,
32    paster_plugins=['PasteScript', 'Pylons'],
33    entry_points="""
34    [paste.app_factory]
35    main = graphplotter.config.middleware:make_app
36
37    [paste.app_install]
38    main = pylons.util:PylonsInstaller
39    """,
40)
Note: See TracBrowser for help on using the repository browser.